package com.safeluck.aaej.app

import org.springframework.boot.autoconfigure.EnableAutoConfiguration
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.boot.web.servlet.ServletComponentScan
import org.springframework.cache.annotation.EnableCaching
import org.springframework.context.annotation.ComponentScan
import org.springframework.context.annotation.Configuration
import org.springframework.context.annotation.ImportResource
import org.springframework.scheduling.annotation.EnableAsync
import springfox.documentation.swagger2.annotations.EnableSwagger2

//@EnableDubboConfiguration

@EnableAsync
@EnableSwagger2
@ServletComponentScan
@EnableCaching
@ImportResource(locations = ["classpath:applicationContext.xml","classpath:spring-restapi.xml","classpath:spring-config-dubbo.xml"])
@SpringBootApplication
class AppApplication


fun main(args: Array<String>) {
    runApplication<AppApplication>(*args)
}
